=== src/3rdparty/kdebase/runtime/phonon/gstreamer/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Trolltech ASA. All rights reserved.
+# Copyright (C) 2008 Nokia Corporation and/or its subsidiary(-ies).
 #
 # This library is free software: you can redistribute it and/or modify
 # it under the terms of the GNU Lesser General Public License as published by
