## qt4-x11 4.5.2-git20090622-0maemo1

=== debian/changelog ===
qt4-x11 (4.5.2-git20090622-0maemo1) experimental; urgency=low

  * Initial release.

 -- Antonio Aloisio <antonio.aloisio@nokia.com>  Mon, 06 Jul 2009 21:10:34 +0300
