## qt4-x11 4.6.2~git20100310-0maemo1+0m5

=== debian/changelog ===
qt4-x11 (4.6.2~git20100310-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 4.6.2~git20100310-0maemo1+0m5

 -- Urho Konttori <urho.konttori@nokia.com>  Tue, 16 Mar 2010 11:44:37 +0200

qt4-x11 (4.6.2~git20100310-0maemo1) unstable; urgency=low

   * Fixes: NB#160164

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 10 Mar 2010 17:07:58 +0100

qt4-x11 (4.6.2~git20100309-0maemo1) unstable; urgency=low

   * Fixes: NB#159893
   * Fixes: NB#157343

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 09 Mar 2010 11:19:34 +0100

qt4-x11 (4.6.2~git20100308-0maemo1) unstable; urgency=low

   * Fixes for IM, kinetic scrolling and documentation.

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 08 Mar 2010 19:19:34 +0100

qt4-x11 (4.6.2~git20100224-0maemo1) unstable; urgency=low

   * Fixes: NB#158052 - Qt optification

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 24 Feb 2010 17:53:22 +0200

qt4-x11 (4.6.1~git20100208-0maemo1) unstable; urgency=low

   * Fixes: NB#155949

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 08 Feb 2010 15:17:01 +0200

qt4-x11 (4.6.1~git20100202-0maemo1) unstable; urgency=low

   * Fixes: NB#155085

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 03 Feb 2010 13:39:01 +0200

qt4-x11 (4.6.1~git20100121-0maemo1) unstable; urgency=low

  * Sync with 4.6-fremantle branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 21 Jan 2010 15:29:01 +0200

qt4-x11 (4.6.0~git20100111-0maemo1) unstable; urgency=low

  * Also package lrelease and lupdate
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 11 Jan 2010 15:29:01 +0200

qt4-x11 (4.6.0~git20091218-0maemo1) unstable; urgency=low

  * Also strip the host-tools in libqt4-maemo5-dev
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 18 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091216-0maemo2) unstable; urgency=low

  * Rename packages and install location to match 4.5 style packages.
  * Fixes: NB#152389 - Qt4.6 missing from platform.

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 16 Dec 2009 17:30:14 +0200

qt4-x11 (4.6.0~git20091215-0maemo1) unstable; urgency=low

  * Fix dependencies of libQtMultimedia

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 15 Dec 2009 11:29:01 +0200

qt4-x11 (4.6.0~git20091214-0maemo1) unstable; urgency=low

  * Also package accessible plugins and the N900 QtMultimedia plugin

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 14 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091212-0maemo1) unstable; urgency=low

  * OpenGL fix

 -- Qt Development Frameworks <qt-info@nokia.com>  Sat, 12 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091211-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 11 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091207-0maemo1) unstable; urgency=low

  * Added mce-dev as build requirement

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 07 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091206-0maemo1) unstable; urgency=low

  * Also package x11 examples

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 06 Dec 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091204-0maemo1) unstable; urgency=low

  * Also package libQtMultimedia
  * Updated dependencies of libqt4-x11-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 04 Nov 2009 15:29:01 +0200

qt4-x11 (4.6.0~git20091125-0maemo1) unstable; urgency=low

  * Pulled latest source code
  * Removed libqt4-x11-opengl-dev, merged into libqt4-x11-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 25 Nov 2009 11:07:01 +0200

qt4-x11 (4.6.0~git20091119-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 19 Nov 2009 18:50:01 +0200

qt4-x11 (4.6.0~git20091118-0maemo1) unstable; urgency=low

  * Also install qdbuscpp2xml and qdbusxml2cpp

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 18 Nov 2009 15:33:01 +0200

qt4-x11 (4.6.0~git20091117-0maemo1) unstable; urgency=low

  * Fix dependencies for the QtOpenGL package

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 17 Nov 2009 15:33:01 +0200

qt4-x11 (4.6.0~git20091116-0maemo1) unstable; urgency=low

  * Exclude .git/ directory from source packages

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 16 Nov 2009 17:23:01 +0200

qt4-x11 (4.6.0~git20091105-0maemo1) unstable; urgency=low

  * Initial packaging of Qt 4.6 for fremantle.

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 05 Nov 2009 17:52:01 +0200
